guile 1.6 -> 1.8 transition

Bug #232428 reported by Martin Pitt on 2008-05-21
2
Affects Status Importance Assigned to Milestone
guile-1.6 (Ubuntu)
Medium
Martin Pitt

Bug Description

Binary package hint: guile-1.6

In Intrepid we move from guile-1.6 to guile-1.8 and want to demote the former. For this we need to transition:

  gnome-games (already prepared in Debian)
  autogen
  graphviz
  swig1.3

Martin Pitt (pitti) on 2008-05-21
Changed in guile-1.6:
assignee: nobody → pitti
importance: Undecided → Medium
milestone: none → intrepid-alpha-4
status: New → In Progress
Martin Pitt (pitti) wrote :

Status:
 - gnome-games is already done
 - swig1.2 is already done
 - autogen segfaults/FTBFS with 1.8
 - graphviz: uploaded

Martin Pitt (pitti) wrote :

autogen is a hard problem. It seems that it would work with enabling threads in guile (see http://bugs.gentoo.org/show_bug.cgi?id=164127), but that would break guile's ABI again, thus we can't just do that.

Martin Pitt (pitti) wrote :

Uploaded guile-1.8 with thread support, uploaded autogen, demoted guile-1.6.

Now I need to rebuild the universe packages against the new guile-1.8.

Martin Pitt (pitti) wrote :

Uploaded all other reverse dependencies (rebuilds against new guile).

Changed in guile-1.6:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.